#
# Cookbook Name:: zarafa
# Recipe:: dagent
#
# Copyright 2012, Daniel van den Berg
#
# All rights reserved - Do Not Redistribute
#

template "/etc/zarafa/dagent.cfg" do
  source "dagent.cfg.erb"
  owner node['zarafa']['run_as_user']
  group node['zarafa']['run_as_group']
  mode 0640
end

service "zarafa-dagent" do
  supports :restart => true, :status => true, :reload => true
  action :enable
  subscribes :restart, resources("template[/etc/zarafa/dagent.cfg]"), :immediately
end
