#
# Cookbook Name:: zarafa
# Attributes:: dagent
#
# Copyright 2012, Daniel van den Berg
#
# All rights reserved - Do Not Redistribute
#

# Dagent settings
default['zarafa']['dagent']['server_socket'] = "file:///var/run/zarafa"

# Dagent SSL login settings
default['zarafa']['dagent']['sslkey_file'] = "/etc/zarafa/ssl/dagent.pem"
default['zarafa']['dagent']['sslkey_pass'] = ""

# Dagent log settings
default['zarafa']['dagent']['log_method'] = "file"
default['zarafa']['dagent']['log_level'] = 2
default['zarafa']['dagent']['log_file'] = "/var/log/zarafa/dagent.log"
default['zarafa']['dagent']['log_timestamp'] = 1
default['zarafa']['dagent']['log_raw_message'] = "no"
default['zarafa']['dagent']['log_raw_message_path'] = "/tmp"

# Dagent LMTP settings
default['zarafa']['dagent']['server_bind'] = "127.0.0.1"
default['zarafa']['dagent']['lmtp_port'] = 2003
default['zarafa']['dagent']['lmtp_max_threads'] = 20
default['zarafa']['dagent']['process_model'] = "fork"
default['zarafa']['dagent']['pid_file'] = "/var/run/zarafa-dagent.pid"
default['zarafa']['dagent']['spam_header_name'] = "X-Spam-Status"
default['zarafa']['dagent']['spam_header_value'] = "Yes,"

# Dagent archiving settings
default['zarafa']['dagent']['archive_on_delivery'] = "no"

# Dagent rule settings
default['zarafa']['dagent']['set_rule_headers'] = "yes"
