# Spooler settings
default['zarafa']['spooler']['smtp_server'] = "localhost"
default['zarafa']['spooler']['smtp_port'] = 25
default['zarafa']['spooler']['server_socket'] = "file:///var/run/zarafa"
default['zarafa']['spooler']['pid_file'] = "/var/run/zarafa-spooler.pid"
default['zarafa']['spooler']['running_path'] = "/"

# Spooler log settings
default['zarafa']['spooler']['log_method'] = "file"
default['zarafa']['spooler']['log_level'] = 3
default['zarafa']['spooler']['log_file'] = "/var/log/zarafa/spooler.log"
default['zarafa']['spooler']['log_timestamp'] = 1

# Spooler SSL settings
default['zarafa']['spooler']['sslkey_file'] = "/etc/zarafa/ssl/spooler.pem"
default['zarafa']['spooler']['sslkey_pass'] = ""

# Spooler thread settings
default['zarafa']['spooler']['max_threads'] = 5

# Spooler faxing settings
default['zarafa']['spooler']['fax_domain'] = "fax.local"
default['zarafa']['spooler']['fax_international'] = "00"

# Spooler delegate settings
default['zarafa']['spooler']['always_send_delegates'] = "no"
default['zarafa']['spooler']['allow_redirect_spoofing'] = "yes"
default['zarafa']['spooler']['copy_delegate_mails'] = "yes"
default['zarafa']['spooler']['allow_delegate_meeting_request'] = "yes"
default['zarafa']['spooler']['allow_send_to_everyone'] = "yes"

# Spooler output settings
default['zarafa']['spooler']['always_send_tnef'] = "no"
default['zarafa']['spooler']['always_send_utf8'] = "no"
default['zarafa']['spooler']['charset_upgrade'] = "windows-1252"

# Spooler group expansion
default['zarafa']['spooler']['expand_groups'] = "no"

# Spooler archiving settings
default['zarafa']['spooler']['archive_on_send'] = "no"
