#
# Cookbook Name:: zarafa
# Recipe:: monitor
#
# Copyright 2012, Daniel van den Berg
#
# All rights reserved - Do Not Redistribute
#

template "/etc/zarafa/monitor.cfg" do
  source "monitor.cfg.erb"
  owner node['zarafa']['run_as_user']
  group node['zarafa']['run_as_group']
  mode 0640
end

service "zarafa-monitor" do
  supports :restart => true, :status => true, :reload => true
  action :enable
  subscribes :restart, resources("template[/etc/zarafa/monitor.cfg]"), :immediately
end
